OMToolkit 1.0 The polygonal mesh processing tool.

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | Protected Member Functions | List of all members
OpenMesh::IO::OMWriterExt Class Reference

`#include <OMWriterExt.h>`

Inheritance diagram for OpenMesh::IO::OMWriterExt:

## Public Member Functions
bool | write (mds::mod::CChannel &_os, BaseExporter &_be, Options _opt) const

## Protected Member Functions
bool | write_binary (mds::mod::CChannel &_os, BaseExporter &_be, Options _opt) const
size_t | store_binary_custom_chunk (mds::mod::CChannel &_os, const BaseProperty &_bp, OMFormat::Chunk::Entity _entity, bool _swap) const

## Detailed Description

Class extends functionality of OMWriter for export into MDSTk Channel

## Member Function Documentation

size_t OpenMesh::IO::OMWriterExt::store_binary_custom_chunk | ( | mds::mod::CChannel & | _os,
|  | const BaseProperty & | _bp,
|  | OMFormat::Chunk::Entity | _entity,
|  | bool | _swap
| ) |  | const
| protected

Method writes a custom property into MDSTk channel

Parameters

  _os | Output MDSTk channel
  _bp | Base property used for writing
  _entity | Entity to save
  _swap | Swap byte flag

Returns
  Number of successfully written bytes

bool OpenMesh::IO::OMWriterExt::write | ( | mds::mod::CChannel & | _os,
|  | BaseExporter & | _be,
|  | Options | _opt
| ) |  | const

Method writes a mesh into MDSTk Channel

Parameters

  _os | Output MDSTk channel
  _be | Base exporter used for writing
  _opt | Options used for writing

Returns
  True, if all was successfully written

bool OpenMesh::IO::OMWriterExt::write_binary | ( | mds::mod::CChannel & | _os,
|  | BaseExporter & | _be,
|  | Options | _opt
| ) |  | const
| protected

Method writes a mesh into binary MDSTk Channel

Parameters

  _os | Output MDSTk channel
  _be | Base exporter used for writing
  _opt | Options used for writing

Returns
  True, if all was successfully written

The documentation for this class was generated from the following files:

- trunk/include/OMToolkit/IO/OMWriterExt.h
- trunk/src/toolkit/Toolkit/OMWriterExt.cpp